<template>
  <VContainer fill-height>
    <VRow align="center">
      <VCol class="text-center">
        <h1 class="display-2 primary--text">
          {{ error.statusCode }}
        </h1>
        <!-- eslint-disable-next-line vue/no-v-html -->
        <p v-html="error.message" />
        <VBtn color="warning" large outlined @click="getRoute">
          <VIcon left>
            mdi-alarm-light-outline
          </VIcon>
          Tire-me daqui!
        </VBtn>
      </VCol>
    </VRow>
  </VContainer>
</template>

<script>
export default {
  layout: 'empty',

  props: {
    error: {
      type: Object,
      required: true,
    },
  },

  methods: {
    getRoute() {
      if (window.history.length > 1) {
        this.$router.back()
      } else {
        this.$router.push('/')
      }
    },
  },
}
</script>
